
QGIS Application - Feature request #16244

Project file recovery

2017-02-27 02:00 PM - James Harvey

Status: Open

Priority: Normal

Assignee:

Category: Project Loading/Saving

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 24154

Description

Is there a way that a recovered project view could show after a application crash? It would behave in a similar way a program like Adobe

InDesign that will show the work file again after a crash, but it would still have those changes that were worked on. It would use the

temporary changes since the last save that was made by the user.

Has there been a similar request made? I haven't found anything in a quick search.

History

#1 - 2017-02-28 06:34 PM - James Harvey

I should also add that the project file name when opened after a crash should change to have "Recovered" added to it.

#2 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-05-06 11:39 PM - Regis Haubourg

- Category set to Project Loading/Saving

- Description updated

Hi, 

You already have a backup file (the file named ***.qgs~ next to your project)

In QGIS behavior, crashing does not necessarly breaks the project file, so we would need a conformity check of XML file on project loading raising a dialog

to restore the project from the backup file.
